import sys


def parse(content):
    lines = content.split('\n', maxsplit = 3)
    header = lines[:3]
    rest = lines[3] if len(lines) == 4 else ''
    
    header_out = [ ','.join((s.split())[::-1]) for s in header ]
    
    rest_out = []
    
    for token in rest.split():
        try:
            number = int(token)
        except ValueError:
            print('Parse error')
            return 1
        
        rest_out.append(f'0x{number:x}')
        
        if number == 0:
            break
    
    print('\n'.join(header_out))
    print('\n'.join(rest_out))
    return 0


if len(sys.argv) != 2:
    print('Usage: ex2.py input_file')
    sys.exit(1)
    
with open(sys.argv[1]) as file:
    content = file.read()
    result = parse(content)
    sys.exit(result)
